Bug 195773 - New port: devel/ocaml-camlp4 OCaml camlp4 processeor
Summary: New port: devel/ocaml-camlp4 OCaml camlp4 processeor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 195736
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-07 10:54 UTC by Michael Grünewald
Modified: 2015-05-06 05:38 UTC (History)
2 users (show)

See Also:


Attachments
Camlp4 shell archive (11.00 KB, text/plain)
2014-12-07 10:54 UTC, Michael Grünewald
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grünewald 2014-12-07 10:54:53 UTC
Created attachment 150302 [details]
Camlp4 shell archive

Starting with OCaml 4.02, Camlp4 support is provided by a separate software package.

This is is a port of this software package, it is to be used with OCaml 4.02
(see Bug 195736).
Comment 1 Kurt Jaeger freebsd_committer 2015-05-01 13:48:03 UTC
testing@work
Comment 2 commit-hook freebsd_committer 2015-05-01 14:16:19 UTC
A commit references this bug:

Author: pi
Date: Fri May  1 14:15:21 UTC 2015
New revision: 385114
URL: https://svnweb.freebsd.org/changeset/ports/385114

Log:
  New port: devel/ocaml-camlp4

  Camlp4 is a software system for writing extensible parsers for
  programming languages. It provides a set of OCaml libraries that are
  used to define grammars as well as loadable syntax extensions of such
  grammars. Camlp4 stands for Caml Preprocessor and Pretty-Printer and
  one of its most important applications is the definition of
  domain-specific extensions of the syntax of OCaml.

  Camlp4 was part of the official OCaml distribution until its version
  4.01.0. Since then it has been replaced by a simpler system which is
  easier to maintain and to learn: ppx rewriters and extension points.

  WWW: https://github.com/ocaml/camlp4

  PR:		195773
  Submitted by:	Michael Gr?newald <michipili@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/ocaml-camlp4/
  head/devel/ocaml-camlp4/Makefile
  head/devel/ocaml-camlp4/distinfo
  head/devel/ocaml-camlp4/files/
  head/devel/ocaml-camlp4/files/patch-Makefile
  head/devel/ocaml-camlp4/files/patch-build_install.sh
  head/devel/ocaml-camlp4/pkg-descr
  head/devel/ocaml-camlp4/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2015-05-01 14:17:05 UTC
Committed, thanks for your patience.
Comment 4 mmatalka 2015-05-05 19:52:14 UTC
I'm unable to compile some things that depend on camlp4 despite having the port installed:

#=== ERROR while installing type_conv.112.01.01 ===============================#
# opam-version 1.2.1
# os           freebsd
# command      gmake
# path         /home/mmatalka/.opam/system/build/type_conv.112.01.01
# compiler     system (4.02.1)
# exit-code    2
# env-file     /home/mmatalka/.opam/system/build/type_conv.112.01.01/type_conv-47599-57f057.env
# stdout-file  /home/mmatalka/.opam/system/build/type_conv.112.01.01/type_conv-47599-57f057.out
# stderr-file  /home/mmatalka/.opam/system/build/type_conv.112.01.01/type_conv-47599-57f057.err
### stdout ###
# ocamlopt.opt -o setup.exe setup.ml || ocamlopt -o setup.exe setup.ml || ocamlc -o setup.exe setup.ml
# rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo
# ./setup.exe -configure 
# Makefile:51: recipe for target 'setup.data' failed
### stderr ###
# ocamlfind: Package `camlp4.quotations' not found
# W: Field 'pkg_camlp4_quotations' is not set: Command ''/home/mmatalka/.opam/system/bin/ocamlfind' query -format %d camlp4.quotations > '/tmp/oasis-e393c6.txt'' terminated with error code 2
# ocamlfind: Package `camlp4.extend' not found
# W: Field 'pkg_camlp4_extend' is not set: Command ''/home/mmatalka/.opam/system/bin/ocamlfind' query -format %d camlp4.extend > '/tmp/oasis-1357e8.txt'' terminated with error code 2
# E: Cannot find findlib package camlp4.extend
# E: Cannot find findlib package camlp4.quotations
# E: Failure("2 configuration errors")
# gmake: *** [setup.data] Error 1
Comment 5 Michael Grünewald 2015-05-05 20:33:03 UTC
You should double check your opam installation, is your environment clean?

Also, please open a separate ticket to track this issue.
Comment 6 mmatalka 2015-05-06 05:38:12 UTC
Created here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199986